Average Response Time Over Time
curl --request POST \
--url https://api.birdeye.com/resources/v1/review/report/avg-response-time/time \
--header 'Content-Type: application/json' \
--data '
{
"reviewSites": [
2,
1,
110,
100
],
"ratings": [
"0",
"1",
"3",
"4",
"5"
],
"businessNumbers": [
172957184851864,
174436684666401
],
"startDate": "02/25/2025",
"endDate": "02/01/2026",
"comparisonFilter": {
"startDate": "01/01/2025",
"endDate": "01/10/2025"
}
}
'import requests
url = "https://api.birdeye.com/resources/v1/review/report/avg-response-time/time"
payload = {
"reviewSites": [2, 1, 110, 100],
"ratings": ["0", "1", "3", "4", "5"],
"businessNumbers": [172957184851864, 174436684666401],
"startDate": "02/25/2025",
"endDate": "02/01/2026",
"comparisonFilter": {
"startDate": "01/01/2025",
"endDate": "01/10/2025"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
reviewSites: [2, 1, 110, 100],
ratings: ['0', '1', '3', '4', '5'],
businessNumbers: [172957184851864, 174436684666401],
startDate: '02/25/2025',
endDate: '02/01/2026',
comparisonFilter: {startDate: '01/01/2025', endDate: '01/10/2025'}
})
};
fetch('https://api.birdeye.com/resources/v1/review/report/avg-response-time/time', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summary": {
"actual": {
"avgResponseTime": {
"days": 2357.9,
"hours": 56589.57,
"minutes": 3395374
},
"respondedCount": 80
},
"compare": {
"avgResponseTime": {
"days": 0,
"hours": 0,
"minutes": 0
},
"respondedCount": 0
}
},
"dataPoints": [
{
"actual": {
"label": "Apr 2017 - Jun 2017",
"shortLabel": "Q2 2017",
"startDate": "04/01/2017",
"endDate": "06/30/2017",
"avgResponseTime": {
"days": 27.08,
"hours": 649.83,
"minutes": 38990.08
},
"respondedCount": 1
},
"compare": {
"label": "Apr 2016 - Jun 2016",
"shortLabel": "Q2 2016",
"startDate": "04/01/2016",
"endDate": "06/30/2016",
"avgResponseTime": {
"days": 0,
"hours": 0,
"minutes": 0
},
"respondedCount": 0
}
},
{
"actual": {
"label": "Jul 2017 - Sep 2017",
"shortLabel": "Q3 2017",
"startDate": "07/01/2017",
"endDate": "09/30/2017",
"avgResponseTime": {
"days": 3.43,
"hours": 82.28,
"minutes": 4936.62
},
"respondedCount": 1
},
"compare": {
"label": "Jul 2016 - Sep 2016",
"shortLabel": "Q3 2016",
"startDate": "07/01/2016",
"endDate": "09/30/2016",
"avgResponseTime": {
"days": 0,
"hours": 0,
"minutes": 0
},
"respondedCount": 0
}
}
],
"dateDiff": 6792,
"groupByType": "quarter",
"dataPresent": true
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 89,
"message": "Rate limit exceeded"
}Report
Average Response Time Over Time
Average Response Time Over Time API returns average response-time trends over time, with optional previous-period comparison.
POST
/
v1
/
review
/
report
/
avg-response-time
/
time
Average Response Time Over Time
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
e.g. [Required] Business number of the location.
Media type of the JSON request body.
⌘I